use 教学成绩管理数据库     --一段一段选中执行
select 姓名, 性别 
from 学生信息表
where not left(姓名,1) in ('刘','赵', '李', '张')

select 姓名, 性别
from 学生信息表
where 姓名 LIKE '%娟%'

select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表 
where datediff(year,出生日期,getdate()) between 20 and 21

select 姓名, 性别,籍贯
from 学生信息表
where not 籍贯 LIKE '山西%'


select 姓名, 性别 
from 学生信息表
where 姓名 like '李_'

select 姓名, 性别 
from 学生信息表
where not left(姓名,1) in ('刘','赵', '李', '张')


select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) ,身高, 体重
from 学生信息表 
where 身高 between 1.70 and 1.80


select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) ,身高, 体重
from 学生信息表 
where 身高 >= 1.70 and 身高 <= 1.80



select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) ,身高, 体重
from 学生信息表 
where 体重 >= 65